///////////////////////////////////////////////////////////////////////////////////////////
// Function to toggle example selections and load data (user must run analysis as normal)
///////////////////////////////////////////////////////////////////////////////////////////
function Tog1(form) {
    testmsg = ("RUNNING DEMO: A toroided system:  (tssp => 17.3 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.run1.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.p_wd.checked = true;
	form.p_awg.checked = false;
	form.com1.checked = true; // ground plane
	form.com12.checked = true; // walls, roof
	form.com2.checked = true; // secondary
	form.com3.checked = true; // primary
	form.com4.checked = true; // toroid
	form.com15.checked = true; // Ces
	z = 2; {eval(z); g_radius = z; form.g_radius.value = g_radius;} // gndr
	z = 2; {eval(z); w_radius = z; form.w_radius.value = w_radius;} // war
	z = 2; {eval(z); w_height = z; form.w_height.value = w_height;} // wah
	z = 2; {eval(z); r_radius = z; form.r_radius.value = r_radius;} // ror
	z = 2; {eval(z); r_height = z; form.r_height.value = r_height;} // roh
	z = .1; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = .05; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .1; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .45; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = .2; {eval(z); p_radius1 = z; form.p_radius1.value = p_radius1;} // pr1
	z = .05; {eval(z); p_height1 = z; form.p_height1.value = p_height1;} // ph1
	z = .3; {eval(z); p_radius2 = z; form.p_radius2.value = p_radius2;} // pr2
	z = .05; {eval(z); p_height2 = z; form.p_height2.value = p_height2;} // ph2
	z = .3; {eval(z); t_outer = z; form.t_outer.value = t_outer;} // tout
	z = .1; {eval(z); t_inner = z; form.t_inner.value = t_inner;} // tin
	z = .5; {eval(z); t_height = z; form.t_height.value = t_height;} // tht
	add_toroid();
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	TEST = 0;
	}
function Tog2(form) {
    testmsg = ("RUNNING DEMO: A bare coil:  (tssp => 12.0 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.run2.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.p_wd.checked = true;
	form.p_awg.checked = false;
	form.com1.checked = true; // ground plane
	form.com12.checked = true; // walls, roof
	form.com2.checked = true; // secondary
	form.com3.checked = true; // primary
	form.com15.checked = true; // Ces
	z = 2; {eval(z); g_radius = z; form.g_radius.value = g_radius;} // gndr
	z = 2; {eval(z); w_radius = z; form.w_radius.value = w_radius;} // war
	z = 2; {eval(z); w_height = z; form.w_height.value = w_height;} // wah
	z = 2; {eval(z); r_radius = z; form.r_radius.value = r_radius;} // ror
	z = 2; {eval(z); r_height = z; form.r_height.value = r_height;} // roh
	z = .1; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = .05; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .1; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .45; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = .2; {eval(z); p_radius1 = z; form.p_radius1.value = p_radius1;} // pr1
	z = .05; {eval(z); p_height1 = z; form.p_height1.value = p_height1;} // ph1
	z = .3; {eval(z); p_radius2 = z; form.p_radius2.value = p_radius2;} // pr2
	z = .05; {eval(z); p_height2 = z; form.p_height2.value = p_height2;} // ph2
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog3(form) {
    testmsg = ("RUNNING DEMO: Sphere-loaded coil in open air:  (tssp => 13.3 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.run3.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.p_wd.checked = true;
	form.p_awg.checked = false;
	form.com1.checked = true; // ground plane
	form.com2.checked = true; // secondary
	form.com3.checked = true; // primary
	form.com5.checked = true; // sphere
	form.com15.checked = true; // Ces
	g_radius = parseFloat(2); form.g_radius.value = g_radius; // gndr
	s_radius1 = parseFloat(.1); form.s_radius1.value = s_radius1; //sr1
	s_height1 = parseFloat(.05); form.s_height1.value = s_height1; //sh1
	s_radius2 = parseFloat(.1); form.s_radius2.value = s_radius2; //sr2
	s_height2 = parseFloat(.45); form.s_height2.value = s_height2; //sh2
	p_radius1 = parseFloat(.2); form.p_radius1.value = p_radius1; // pr1
	p_height1 = parseFloat(.05); form.p_height1.value = p_height1; // ph1
	p_radius2 = parseFloat(.3); form.p_radius2.value = p_radius2; // pr2
	p_height2 = parseFloat(.05); form.p_height2.value = p_height2; // ph2
	sp_horz = parseFloat(.1); form.sp_horz.value = sp_horz; // sp_horz
	sp_vert = parseFloat(.1); form.sp_vert.value = sp_vert; // sp_vert
	sp_height = parseFloat(.5); form.sp_height.value = sp_height; // sp_height
	add_sphere();
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	TEST = 0;
	}
function Tog4(form) {
    testmsg = ("RUNNING DEMO: Isolated toroid floating in space: (exact => 20.73804 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.run4.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.com4.checked = true; // toroid
	form.com15.checked = true; // Ces
	z = .5; {eval(z); t_outer = z; form.t_outer.value = t_outer;} // tout
	z = .1; {eval(z); t_inner = z; form.t_inner.value = t_inner;} // tin
	z = 0; {eval(z); t_height = z; form.t_height.value = t_height;} // tht
	add_toroid();
	z = 3; {eval(z); det = z; form.det.value = det;} // det
	TEST = 0;
	}
function Tog5(form) {
    testmsg = ("RUNNING DEMO: Isolated sphere: (exact => 111.265 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.run5.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.com5.checked = true; // sphere
	form.com15.checked = true; // Ces
	z = 2; {eval(z); sp_horz = z; form.sp_horz.value = sp_horz;} // sp_horz
	z = 2; {eval(z); sp_vert = z; form.sp_vert.value = sp_vert;} // sp_vert
	z = 0; {eval(z); sp_height = z; form.sp_height.value = sp_height;} // sp_height
	add_sphere();
	z = 3; {eval(z); det = z; form.det.value = det;} // det
	TEST = 0;
	}
function Tog6(form) {
    testmsg = ("RUNNING DEMO: Isolated disc: (exact => 11.333 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.run6.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.com6.checked = true; // disc
	form.com15.checked = true; // Ces
	z = 0; {eval(z); d_inner = z; form.d_inner.value = d_inner;} // dir
	z = .32; {eval(z); d_outer = z; form.d_outer.value = d_outer;} // dor
	z = 0; {eval(z); d_height = z; form.d_height.value = d_height;} // dh
	add_disc();
	z = 3; {eval(z); det = z; form.det.value = det;} // det
	TEST = 0;
	}
function Tog7(form) {
    testmsg = ("RUNNING DEMO: Self inductance of helical (acmi => 40.78 mH)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm2;
	analysis = 2;
	ClearAll(form);
	form.run7.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.com9.checked = true; // Sec L
	z = .295; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = 0; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .295; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .8; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 356; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = 1e-3 * 2; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog8(form) {
    testmsg = ("RUNNING DEMO: Self inductance of flat coil (acmi => 7.82 mH)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm2;
	analysis = 2;
	ClearAll(form);
	form.run8.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.com9.checked = true; // Sec L
	z = 0; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = 0; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .5; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = 0; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 150; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = 1e-3 * 2; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog9(form) {
    testmsg = ("RUNNING DEMO: Self inductance of cone (acmi => 6.71 mH)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm2;
	analysis = 2;
	ClearAll(form);
	form.run9.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.com9.checked = true; // Sec L
	z = .5; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = 0; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = 0; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .4; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 150; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = 1e-3 * 2; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog10(form) {
    testmsg = ("RUNNING DEMO: Self inductance of inverted cone (acmi => 6.71 mH)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm2;
	analysis = 2;
	ClearAll(form);
	form.run10.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.com9.checked = true; // Sec L
	z = 0; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = 0; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .5; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .4; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 150; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = 1e-3 * 2; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog11(form) {
    testmsg = ("RUNNING DEMO: Self inductance of single turn loop (acmi=> 4.11 uH)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm2;
	analysis = 2;
	ClearAll(form);
	form.run11.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.p_wd.checked = true;
	form.p_awg.checked = false;
	form.com10.checked = true; // Pri L
	z = .5; {eval(z); p_radius1 = z; form.p_radius1.value = p_radius1;} // pr1
	z = 0; {eval(z); p_height1 = z; form.p_height1.value = p_height1;} // ph1
	z = .5; {eval(z); p_radius2 = z; form.p_radius2.value = p_radius2;} // pr2
	z = 0; {eval(z); p_height2 = z; form.p_height2.value = p_height2;} // ph2
	z = 1; {eval(z); p_turn = z; form.p_turn.value = p_turn;} // pt
	z = 1e-3 * 2; {eval(z); p_wirad = z; form.p_wirad.value = p_wirad;} // pwd
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog12(form) {
    testmsg = ("RUNNING DEMO: Mutual inductance between two helicals (acmi => 2930 uH)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm2;
	analysis = 2;
	ClearAll(form);
	form.run12.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.p_wd.checked = true;
	form.p_awg.checked = false;
	form.com11.checked = true; // Mutual
	z = .3; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = 0; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .3; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = 1; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 3000; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = .1e-3*2; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd
	z = .5; {eval(z); p_radius1 = z; form.p_radius1.value = p_radius1;} // pr1
	z = 0; {eval(z); p_height1 = z; form.p_height1.value = p_height1;} // ph1
	z = .5; {eval(z); p_radius2 = z; form.p_radius2.value = p_radius2;} // pr2
	z = .2; {eval(z); p_height2 = z; form.p_height2.value = p_height2;} // ph2
	z = 5; {eval(z); p_turn = z; form.p_turn.value = p_turn;} // pt
	z = 1e-3*2; {eval(z); p_wirad = z; form.p_wirad.value = p_wirad;} // pwd
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog13(form) {
    testmsg = ("RUNNING DEMO: Mutual inductance between two flat spirals (acmi => 1660 uH)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm2;
	analysis = 2;
	ClearAll(form);
	form.run13.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.p_wd.checked = true;
	form.p_awg.checked = false;
	form.com11.checked = true; // Mutual
	z = .01; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = .3; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .5; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .3; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 1500; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = .1e-3*2; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd
	z = .01; {eval(z); p_radius1 = z; form.p_radius1.value = p_radius1;} // pr1
	z = 0; {eval(z); p_height1 = z; form.p_height1.value = p_height1;} // ph1
	z = .2; {eval(z); p_radius2 = z; form.p_radius2.value = p_radius2;} // pr2
	z = 0; {eval(z); p_height2 = z; form.p_height2.value = p_height2;} // ph2
	z = 50; {eval(z); p_turn = z; form.p_turn.value = p_turn;} // pt
	z = .1e-3*2; {eval(z); p_wirad = z; form.p_wirad.value = p_wirad;} // pwd
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog14(form) {
    testmsg = ("RUNNING DEMO: Mutual inductance between two flat loops (acmi => 0.25 mH)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm2;
	analysis = 2;
	ClearAll(form);
	form.run14.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.p_wd.checked = true;
	form.p_awg.checked = false;
	form.com11.checked = true; // Mutual
	z = .5; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = .5; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .5; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .5; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 1; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = 1e-3 * 2; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd
	z = .5; {eval(z); p_radius1 = z; form.p_radius1.value = p_radius1;} // pr1
	z = 0; {eval(z); p_height1 = z; form.p_height1.value = p_height1;} // ph1
	z = .5; {eval(z); p_radius2 = z; form.p_radius2.value = p_radius2;} // pr2
	z = 0; {eval(z); p_height2 = z; form.p_height2.value = p_height2;} // ph2
	z = 1; {eval(z); p_turn = z; form.p_turn.value = p_turn;} // pt
	z = 1e-3 * 2; {eval(z); p_wirad = z; form.p_wirad.value = p_wirad;} // pwd
	z = 2; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog15(form) {
    testmsg = ("RUNNING DEMO: Secondary resonant frequency of a loaded coil ----(tssp => 74.1 kHz)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm3;
	analysis = 3;
	ClearAll(form);
	form.run15.checked = true;
	form.com1.checked = true;
	form.com2.checked = true;
	form.com4.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	Reso = true; // Frequency and breakdown on Cee, Cdc, Ces, Les, Ldc, Lee, Fres, Ctop
	z = 20; {eval(z); g_radius = z; form.g_radius.value = g_radius;} // gndr
	z = .29; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = .13; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .29; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = 1.78; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 725; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = 1e-3*2; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd	
	z = .96; {eval(z); t_outer = z; form.t_outer.value = t_outer;} // tout
	z = .2; {eval(z); t_inner = z; form.t_inner.value = t_inner;} // tin
	z = 1.9; {eval(z); t_height = z; form.t_height.value = t_height;} // tht
	add_toroid();
	z = 1; {eval(z); det = z; form.det.value = det;} // det
	TEST = 0;
	}
function Tog16(form) {
    testmsg = ("RUNNING DEMO: Capacitance between concentric spheres: (exact => 83.449 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.run16.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.com5.checked = true; // sphere
	form.com15.checked = true; // Ces
	z = .6; {eval(z); sp_horz = z; form.sp_horz.value = sp_horz;} // sp_horz
	z = .6; {eval(z); sp_vert = z; form.sp_vert.value = sp_vert;} // sp_vert
	z = 0; {eval(z); sp_height = z; form.sp_height.value = sp_height;} // sp_height
	form.ST.checked = true; form.SG.checked = false;
	add_sphere();
	z = 1; {eval(z); sp_horz = z; form.sp_horz.value = sp_horz;} // sp_horz
	z = 1; {eval(z); sp_vert = z; form.sp_vert.value = sp_vert;} // sp_vert
	z = 0; {eval(z); sp_height = z; form.sp_height.value = sp_height;} // sp_height
	form.SG.checked = true; form.ST.checked = false;
	add_sphere();
	z = 3; {eval(z); det = z; form.det.value = det;} // det
	form.ST.checked = true; form.SG.checked = false;
	TEST = 0;
	}
function Tog17(form) {
    testmsg = ("RUNNING DEMO: Capacitance to infinity of two spheres just touching: (exact => 154.246 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.run17.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.com5.checked = true; // sphere
	form.com15.checked = true; // Ces
	z = 2; {eval(z); sp_horz = z; form.sp_horz.value = sp_horz;} // sp_horz
	z = 2; {eval(z); sp_vert = z; form.sp_vert.value = sp_vert;} // sp_vert
	z = 0; {eval(z); sp_height = z; form.sp_height.value = sp_height;} // sp_height
	form.ST.checked = true; form.SG.checked = false;
	add_sphere();
	z = 2; {eval(z); sp_horz = z; form.sp_horz.value = sp_horz;} // sp_horz
	z = 2; {eval(z); sp_vert = z; form.sp_vert.value = sp_vert;} // sp_vert
	z = 2; {eval(z); sp_height = z; form.sp_height.value = sp_height;} // sp_height
	form.ST.checked = true; form.SG.checked = false;
	add_sphere();
	z = 3; {eval(z); det = z; form.det.value = det;} // det
	form.ST.checked = true; form.SG.checked = false;
	TEST = 0;
	}
function Tog18(form) {
    testmsg = ("RUNNING DEMO: Toroid capacitance in situation ----(tssp => 10.87 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.inches.checked = false;
	form.meters.checked = true;
	form.run18.checked = true;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	form.p_wd.checked = true;
	form.p_awg.checked = false;
	form.com1.checked = true; // ground plane
	form.com12.checked = true; // walls, roof
	form.com2.checked = true; // secondary
	form.com3.checked = true; // primary
	form.com4.checked = true; // toroid
	form.com13.checked = true; // In-Situ
	z = 2; {eval(z); g_radius = z; form.g_radius.value = g_radius;} // gndr
	z = 2; {eval(z); w_radius = z; form.w_radius.value = w_radius;} // war
	z = 2; {eval(z); w_height = z; form.w_height.value = w_height;} // wah
	z = 2; {eval(z); r_radius = z; form.r_radius.value = r_radius;} // ror
	z = 2; {eval(z); r_height = z; form.r_height.value = r_height;} // roh
	z = .1; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = .05; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .1; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .45; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	form.SDC.checked = true;
	TogSDC(form);
	z = .2; {eval(z); p_radius1 = z; form.p_radius1.value = p_radius1;} // pr1
	z = .05; {eval(z); p_height1 = z; form.p_height1.value = p_height1;} // ph1
	z = .3; {eval(z); p_radius2 = z; form.p_radius2.value = p_radius2;} // pr2
	z = .05; {eval(z); p_height2 = z; form.p_height2.value = p_height2;} // ph2
	z = .1; {eval(z); t_inner = z; form.t_inner.value = t_inner;} // tin
	z = .3; {eval(z); t_outer = z; form.t_outer.value = t_outer;} // tout
	z = .5; {eval(z); t_height = z; form.t_height.value = t_height;} // tht
	form.TT.checked = true; form.TG.checked = false;
	add_toroid();
	z = 1; {eval(z); det = z; form.det.value = det;} // det
	TEST = 0;
	}
function Tog19(form) {
    testmsg = ("RUNNING DEMO: Primary & Secondary capacitance - coil to coil ----(tssp => 7.1 pF)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm1;
	analysis = 1;
	ClearAll(form);
	form.inches.checked = false;
	form.meters.checked = true;
	form.run19.checked = true;
	form.com1.checked = true; // ground plane
	form.com12.checked = true; // walls, roof
	form.com2.checked = true; // secondary
	form.com3.checked = true; // primary
	form.com4.checked = true; // toroid
	form.com14.checked = true; // coil to coil
	z = 2; {eval(z); g_radius = z; form.g_radius.value = g_radius;} // gndr
	z = 2; {eval(z); w_radius = z; form.w_radius.value = w_radius;} // war
	z = 2; {eval(z); w_height = z; form.w_height.value = w_height;} // wah
	z = 2; {eval(z); r_radius = z; form.r_radius.value = r_radius;} // ror
	z = 2; {eval(z); r_height = z; form.r_height.value = r_height;} // roh
	z = .1; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = .05; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .1; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .45; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	form.SDC.checked = true;
	TogSDC(form);
	z = .2; {eval(z); p_radius1 = z; form.p_radius1.value = p_radius1;} // pr1
	z = .05; {eval(z); p_height1 = z; form.p_height1.value = p_height1;} // ph1
	z = .3; {eval(z); p_radius2 = z; form.p_radius2.value = p_radius2;} // pr2
	z = .05; {eval(z); p_height2 = z; form.p_height2.value = p_height2;} // ph2
	z = .1; {eval(z); t_inner = z; form.t_inner.value = t_inner;} // tin
	z = .3; {eval(z); t_outer = z; form.t_outer.value = t_outer;} // tout
	z = .5; {eval(z); t_height = z; form.t_height.value = t_height;} // tht
	form.TT.checked = true; form.TG.checked = false;
	add_toroid();
	z = 1; {eval(z); det = z; form.det.value = det;} // det
	TEST = 0;
	}
function Tog20(form) {
    testmsg = ("RUNNING DEMO: Secondary resonant frequency of a bare coil ----(tssp => 150.7 kHz)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm3;
	analysis = 3;
	ClearAll(form);
	form.run20.checked = true;
	form.com1.checked = true;
	form.com2.checked = true;
	form.meters.checked = true;
	form.inches.checked = false;
	form.s_wd.checked = true;
	form.s_awg.checked = false;
	Reso = true; // Frequency and breakdown on Cee, Cdc, Ces, Les, Ldc, Lee, Fres, Ctop
	z = 2; {eval(z); g_radius = z; form.g_radius.value = g_radius;} // gndr
	z = .295; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = .15; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = .295; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = .95; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 356; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = 1e-3*2; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd	
	z = 1; {eval(z); det = z; form.det.value = det;} // det
	drawcoil();
	TEST = 0;
	}
function Tog21(form) {
    testmsg = ("RUNNING DEMO: Secondary resonant frequency of loaded coil with 2 toroids ----(measured => 68.9 kHz)" + "<br>" + "This value represents a comparison value of Fantc for the demo selected." + "<br>" + "If you changed any values or ran a different analysis, then this value is meaningless." + "<br>" + "This text is displayed only following a demo selection." + "<br>" + "<hr>");
	form.runmsg.value = rm3;
	analysis = 3;
	ClearAll(form);
	form.run21.checked = true;
	form.com1.checked = true;
	form.com2.checked = true;
	form.com3.checked = true;
	form.com12.checked = true;
	form.com4.checked = true;
	form.meters.checked = false;
	form.inches.checked = true;
	form.s_wd.checked = false;
	form.s_awg.checked = true;
	form.p_wd.checked = true;
	form.p_awg.checked = false;
	Reso = true; // Frequency and breakdown on Cee, Cdc, Ces, Les, Ldc, Lee, Fres, Ctop
	z = 103; {eval(z); g_radius = z; form.g_radius.value = g_radius;} // gndr
	z = 103; {eval(z); w_radius = z; form.w_radius.value = w_radius;} // war
	z = 150; {eval(z); w_height = z; form.w_height.value = w_height;} // wah
	z = 103; {eval(z); r_radius = z; form.r_radius.value = r_radius;} // ror
	z = 150; {eval(z); r_height = z; form.r_height.value = r_height;} // roh
	z = 4.22; {eval(z); s_radius1 = z; form.s_radius1.value = s_radius1;} //sr1
	z = 28.75; {eval(z); s_height1 = z; form.s_height1.value = s_height1;} //sh1
	z = 4.22; {eval(z); s_radius2 = z; form.s_radius2.value = s_radius2;} //sr2
	z = 68.5; {eval(z); s_height2 = z; form.s_height2.value = s_height2;} //sh2
	z = 1789; {eval(z); s_turn = z; form.s_turn.value = s_turn;} //st
	z = 24; {eval(z); s_wirad = z; form.s_wirad.value = s_wirad;} //swd
	z = 5.6875; {eval(z); p_radius1 = z; form.p_radius1.value = p_radius1;} // pr1
	z = 28.25; {eval(z); p_height1 = z; form.p_height1.value = p_height1;} // ph1
	z = 15.13; {eval(z); p_radius2 = z; form.p_radius2.value = p_radius2;} // pr2
	z = 28.25; {eval(z); p_height2 = z; form.p_height2.value = p_height2;} // ph2
	z = 13.6; {eval(z); p_turn = z; form.p_turn.value = p_turn;} //st
	z = .375; {eval(z); p_wirad = z; form.p_wirad.value = p_wirad;} //swd	
	z = 30; {eval(z); t_outer = z; form.t_outer.value = t_outer;} // tout
	z = 9; {eval(z); t_inner = z; form.t_inner.value = t_inner;} // tin
	z = 77; {eval(z); t_height = z; form.t_height.value = t_height;} // tht
	add_toroid();
	z = 16; {eval(z); t_outer = z; form.t_outer.value = t_outer;} // tout
	z = 4.5; {eval(z); t_inner = z; form.t_inner.value = t_inner;} // tin
	z = 72; {eval(z); t_height = z; form.t_height.value = t_height;} // tht
	add_toroid();	
	z = 1; {eval(z); det = z; form.det.value = det;} // det
	TEST = 0;
	}
